/**
 * Install style as css file
 * @function install
 * @param {string} filename
 * @param {Object} props
 * @returns {Promise}
 */
'use strict'

const {renderToStaticMarkup} = require('react-dom/server')
const {createElement: c} = require('react')
const TheStyle = require('./shim/TheStyle')
const d = (module) => (module && module.default) || module
const fs = require('fs')
const {promisify} = require('util')

const writeFileAsync = promisify(fs.writeFile)

/** @lends install */
async function install (filename = 'theme.css', props = {}) {
  const element = c(
    d(TheStyle),
    Object.assign(props)
  )
  const markup = renderToStaticMarkup(element)
  const content = String(markup).trim().replace(/^<.*>/, '').replace(/<\/.*>$/, '')
  return writeFileAsync(filename, content)
}

module.exports = install